# Note that this is NOT a relocatable package
%define	ver	1.0.13
%define	rel	0vl2

Summary:	GNOME System Monitor
Summary(ja):	GNOME システムモニタ
Name:		gtop
Version:	%{ver}
Release:	%{rel}
Copyright:	LGPL
Group:		Applications/System
BuildRoot:	%{_tmppath}/%{name}-%{PACKAGE_VERSION}-root
URL:		http://www.gnome.org
Docdir:		%{_prefix}/doc

Source:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{ver}.tar.gz

# source/patch for Vine
Patch100:	gtop-1.0.9-vfont.patch

%description
GNOME System Monitor.

This package will install the GNOME system monitor gtop,
which shows memory graphs and processes.

GNOME is the GNU Network Object Model Environment. This powerful
environment is both easy to use and easy to configure.

%description -l ja
GNOME システムモニタ

このパッケージをインストールすれば、メモリとプロセスをグラフィク表示
できます。

%prep
%setup -q

%patch100 -p1

%build

%configure

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BULD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README TODO

%{_bindir}/*
%{_datadir}/gtoprc
%{_datadir}/locale/*/*/*
%{_datadir}/gnome/*
%{_datadir}/pixmaps/*

%changelog
* Mon Apr 14 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0.13-0vl2
- rebuild

* Wed Mar 28 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.0.13-0vl1
- New upstream release.
- Use rpmmacros.

* Thu Jul 4 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added vfont patch and ja.po for 1.0.9

* Thu Jun 1 2000 Kazuhito Nishi <nishi@imasy.or.jp>
- version 1.0.9

* Fri Sep 17 1999 Kazuhito Nishi <nishi@imasy.or.jp>
- First try at a spec file for Vine

* Sun Aug 23 1998 Martin Baulig <martin@home-of-linux.org>

- Make GTop its own top-level module.
